## casparcg-server 2.2.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --sourcedirectory=src --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_HTML=OFF

# Generate and install manual page
debian/casparcg.1: debian/casparcg.txt2man
	txt2man -t CASPARCG -d 2018-12-14 -s 1 debian/casparcg.txt2man > $@
override_dh_installman: debian/casparcg.1
	dh_installman
	$(RM) debian/casparcg.1

## casparcg-server 2.2.0+dfsg

=== src/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.0)

# Project settings
PROJECT ("CasparCG Server")
SET (CONFIG_VERSION_MAJOR 2)
SET (CONFIG_VERSION_MINOR 2)
SET (CONFIG_VERSION_BUG 0)
SET (CONFIG_VERSION_TAG "Stable")

option(ENABLE_HTML "Enable HTML module, require CEF" ON)

# Add custom cmake modules path
LIST (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMakeModules)

if (MSVC)
	INCLUDE (Bootstrap_Windows)
else ()
	INCLUDE (Bootstrap_Linux)

	# Output build settings
	IF (SUPPORTED_PLATFORM)
		MESSAGE (STATUS "Supported target platform: ${SUPPORTED_PLATFORM}")
	ELSE ()
		MESSAGE (STATUS "Unsupported target platform, will still attempt build!")
	ENDIF ()
	MESSAGE (STATUS "Target platform: ${CONFIG_PLATFORM}")
	MESSAGE (STATUS "Target architecture: ${CONFIG_ARCH}")
	MESSAGE (STATUS "CPU Count: ${CONFIG_CPU_COUNT}")
	MESSAGE (STATUS "Target build type: ${CMAKE_BUILD_TYPE}")
	MESSAGE (STATUS "Build Version: ${CONFIG_VERSION_MAJOR}.${CONFIG_VERSION_MINOR}.${CONFIG_VERSION_BUG} ${CONFIG_VERSION_TAG} (Revision: ${CONFIG_VERSION_GIT_HASH})")

	CONFIGURE_FILE ("${PROJECT_SOURCE_DIR}/version.tmpl" "${CMAKE_BINARY_DIR}/generated/version.h")
	INCLUDE_DIRECTORIES ("${CMAKE_BINARY_DIR}/generated")

	ADD_SUBDIRECTORY (accelerator)
	ADD_SUBDIRECTORY (common)
	ADD_SUBDIRECTORY (core)
	ADD_SUBDIRECTORY (modules)
	ADD_SUBDIRECTORY (protocol)
	ADD_SUBDIRECTORY (shell)
endif ()

=== src/accelerator/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (accelerator)

set(SOURCES

		ogl/image/image_kernel.cpp
		ogl/image/image_mixer.cpp
		ogl/image/image_shader.cpp

		ogl/util/buffer.cpp
		ogl/util/device.cpp
		ogl/util/shader.cpp
		ogl/util/texture.cpp

		accelerator.cpp
		StdAfx.cpp
)
set(HEADERS
		ogl/image/blending_glsl.h
		ogl/image/image_kernel.h
		ogl/image/image_mixer.h
		ogl/image/image_shader.h

		ogl/util/buffer.h
		ogl/util/device.h
		ogl/util/shader.h
		ogl/util/texture.h

		accelerator.h
		StdAfx.h
)

add_library(accelerator ${SOURCES} ${HEADERS} ${OS_SPECIFIC_SOURCES})
add_precompiled_header(accelerator StdAfx.h FORCEINCLUDE)

include_directories(..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${GLEW_INCLUDE_PATH})
include_directories(${FFMPEG_INCLUDE_PATH})
include_directories(${SFML_INCLUDE_PATH})

source_group(sources ./.*)
source_group(sources\\cpu\\image cpu/image/.*)
source_group(sources\\cpu\\util cpu/util/.*)
source_group(sources\\ogl\\image ogl/image/.*)
source_group(sources\\ogl\\util ogl/util/.*)

target_link_libraries(accelerator common core ffmpeg)

=== src/core/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (core)

set(SOURCES
		consumer/frame_consumer.cpp
		consumer/output.cpp

		diagnostics/call_context.cpp
		diagnostics/osd_graph.cpp

		frame/draw_frame.cpp
		frame/frame.cpp
		frame/frame_transform.cpp
		frame/geometry.cpp

		mixer/audio/audio_mixer.cpp
		mixer/image/blend_modes.cpp
		mixer/mixer.cpp

		producer/color/color_producer.cpp
		producer/separated/separated_producer.cpp
		producer/transition/transition_producer.cpp
		producer/route/route_producer.cpp

		producer/cg_proxy.cpp
		producer/frame_producer.cpp
		producer/layer.cpp
		producer/stage.cpp

		StdAfx.cpp
		video_channel.cpp
		video_format.cpp
)
set(HEADERS
		consumer/frame_consumer.h
		consumer/output.h

		diagnostics/call_context.h
		diagnostics/osd_graph.h

		frame/draw_frame.h
		frame/frame.h
		frame/frame_factory.h
		frame/frame_transform.h
		frame/frame_visitor.h
		frame/geometry.h
		frame/pixel_format.h

		mixer/audio/audio_mixer.h

		mixer/image/blend_modes.h
		mixer/image/image_mixer.h

		mixer/mixer.h

		monitor/monitor.h

		producer/color/color_producer.h
		producer/separated/separated_producer.h
		producer/transition/transition_producer.h
		producer/route/route_producer.h

		producer/cg_proxy.h
		producer/frame_producer.h
		producer/layer.h
		producer/stage.h

		fwd.h
		module_dependencies.h
		StdAfx.h
		video_channel.h
		video_format.h
)

add_library(core ${SOURCES} ${HEADERS})
add_precompiled_header(core StdAfx.h FORCEINCLUDE)
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${SFML_INCLUDE_PATH})
include_directories(${FREETYPE_INCLUDE_PATH})
include_directories(${GLEW_INCLUDE_PATH})

source_group(sources ./*)
source_group(sources\\consumer consumer/*)
source_group(sources\\diagnostics diagnostics/*)
source_group(sources\\producer producer/*)
source_group(sources\\monitor monitor/*)
source_group(sources\\frame frame/*)
source_group(sources\\mixer mixer/*)
source_group(sources\\mixer\\audio mixer/audio/*)
source_group(sources\\mixer\\image mixer/image/*)
source_group(sources\\producer\\color producer/color/*)
source_group(sources\\producer\\route producer/route/*)
source_group(sources\\producer\\transition producer/transition/*)
source_group(sources\\producer\\separated producer/separated/*)

if (MSVC)
	target_link_libraries(core
			common
	)
else()
	target_link_libraries(core
			common
	)
endif()

=== src/modules/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project("modules")

add_subdirectory(ffmpeg)
add_subdirectory(oal)
add_subdirectory(decklink)
add_subdirectory(screen)
if (ENABLE_HTML)
	add_subdirectory(html)
endif ()

if (MSVC)
	add_subdirectory(flash)
	add_subdirectory(newtek)
	add_subdirectory(bluefish)
endif()

add_subdirectory(image)

=== src/shell/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (shell)

join_list("${CASPARCG_MODULE_INCLUDE_STATEMENTS}" "\n" CASPARCG_MODULE_INCLUDE_STATEMENTS)
join_list("${CASPARCG_MODULE_INIT_STATEMENTS}" "\n" CASPARCG_MODULE_INIT_STATEMENTS)
join_list("${CASPARCG_MODULE_UNINIT_STATEMENTS}" "\n" CASPARCG_MODULE_UNINIT_STATEMENTS)
join_list("${CASPARCG_MODULE_COMMAND_LINE_ARG_INTERCEPTORS_STATEMENTS}" "\n" CASPARCG_MODULE_COMMAND_LINE_ARG_INTERCEPTORS_STATEMENTS)
CONFIGURE_FILE ("${PROJECT_SOURCE_DIR}/included_modules.tmpl" "${CMAKE_BINARY_DIR}/generated/included_modules.h")
CONFIGURE_FILE ("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

if (MSVC)
	set(OS_SPECIFIC_SOURCES
			resource.h
			shell.rc
			windows_specific.cpp
	)
else ()
	set(OS_SPECIFIC_SOURCES
			linux_specific.cpp
	)
endif ()

set(SOURCES
		casparcg.config
		main.cpp
		server.cpp
)
set(HEADERS
		platform_specific.h
		server.h
)

add_executable(casparcg ${SOURCES} ${HEADERS} ${OS_SPECIFIC_SOURCES})

include_directories(..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})

source_group(sources ./*)

target_link_libraries(casparcg
		accelerator
		common
		core
		protocol

		"${CASPARCG_MODULE_PROJECTS}"
)

if (MSVC)
	target_link_libraries(casparcg
		#jpeg.lib
		#sndfile.lib
		Winmm.lib
		Ws2_32.lib
		optimized tbb.lib
		debug tbb_debug.lib
		OpenGL32.lib
		glew32.lib
		openal32.lib
		debug zlibstaticd.lib
		optimized zlibstatic.lib
		debug sfml-graphics-d.lib
		debug sfml-window-d.lib
		debug sfml-system-d.lib
		optimized sfml-graphics.lib
		optimized sfml-window.lib
		optimized sfml-system.lib

		avformat.lib
		avcodec.lib
		avutil.lib
		avfilter.lib
		avdevice.lib
		swscale.lib
		swresample.lib
	)
else ()
	target_link_libraries(casparcg
		${Boost_LIBRARIES}
		${TBB_LIBRARIES}
		${TBB_MALLOC_LIBRARIES}
		${TBB_MALLOC_PROXY_LIBRARIES}
		${SFML_LIBRARIES}
		${GLEW_LIBRARIES}
		${OPENGL_gl_LIBRARY}
		${X11_LIBRARIES}
		${JPEG_LIBRARIES}
		${SNDFILE_LIBRARIES}
		${FREETYPE_LIBRARIES}
		${FFMPEG_LIBRARIES}
		dl
		icui18n
		icuuc
		z
		pthread
	)
endif ()

add_custom_target(casparcg_copy_dependencies ALL)

set(OUTPUT_FOLDER "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_CFG_INTDIR}")
add_custom_command(TARGET casparcg_copy_dependencies POST_BUILD COMMAND ${CMAKE_COMMAND} -E make_directory \"${OUTPUT_FOLDER}\")



if (MSVC)
	foreach(FILE_TO_COPY ${CASPARCG_RUNTIME_DEPENDENCIES})
		if(IS_DIRECTORY ${FILE_TO_COPY})
			get_filename_component(FOLDER_NAME "${FILE_TO_COPY}" NAME)
			add_custom_command(TARGET casparcg_copy_dependencies POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory \"${FILE_TO_COPY}\" \"${OUTPUT_FOLDER}/${FOLDER_NAME}\")
			add_custom_command(TARGET casparcg_copy_dependencies POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory \"${FILE_TO_COPY}\" \"${CMAKE_CURRENT_BINARY_DIR}/${FOLDER_NAME}\")
		else()
			add_custom_command(TARGET casparcg_copy_dependencies POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy \"${FILE_TO_COPY}\" \"${OUTPUT_FOLDER}/\")
			add_custom_command(TARGET casparcg_copy_dependencies POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy \"${FILE_TO_COPY}\" \"${CMAKE_CURRENT_BINARY_DIR}/\")
		endif()
	endforeach(FILE_TO_COPY)
else ()
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/shell/casparcg ${CMAKE_BINARY_DIR}/staging/bin/casparcg)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_SOURCE_DIR}/shell/casparcg.config ${CMAKE_BINARY_DIR}/staging/casparcg.config)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_SOURCE_DIR}/shell/liberation-fonts/LiberationMono-Regular.ttf ${CMAKE_BINARY_DIR}/staging/LiberationMono-Regular.ttf)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_SOURCE_DIR}/shell/run.sh ${CMAKE_BINARY_DIR}/staging/run.sh)

# Disabled as HTML module is disabled
  if (ENABLE_HTML)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory ${CEF_RESOURCE_PATH}/locales ${CMAKE_BINARY_DIR}/staging/bin/locales)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_RESOURCE_PATH}/cef.pak ${CMAKE_BINARY_DIR}/staging/bin/cef.pak)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_RESOURCE_PATH}/cef_100_percent.pak ${CMAKE_BINARY_DIR}/staging/bin/cef_100_percent.pak)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_RESOURCE_PATH}/cef_200_percent.pak ${CMAKE_BINARY_DIR}/staging/bin/cef_200_percent.pak)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_RESOURCE_PATH}/cef_extensions.pak ${CMAKE_BINARY_DIR}/staging/bin/cef_extensions.pak)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_RESOURCE_PATH}/devtools_resources.pak ${CMAKE_BINARY_DIR}/staging/bin/devtools_resources.pak)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_RESOURCE_PATH}/icudtl.dat ${CMAKE_BINARY_DIR}/staging/bin/icudtl.dat)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory ${CEF_BIN_PATH}/swiftshader ${CMAKE_BINARY_DIR}/staging/bin/swiftshader)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/natives_blob.bin ${CMAKE_BINARY_DIR}/staging/bin/natives_blob.bin)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/snapshot_blob.bin ${CMAKE_BINARY_DIR}/staging/bin/snapshot_blob.bin)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/libcef.so ${CMAKE_BINARY_DIR}/staging/lib/libcef.so)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/libEGL.so ${CMAKE_BINARY_DIR}/staging/lib/libEGL.so)
	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/libGLESv2.so ${CMAKE_BINARY_DIR}/staging/lib/libGLESv2.so)
  endif ()
endif ()

=== src/modules/bluefish/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (bluefish)

set(SOURCES
		consumer/bluefish_consumer.cpp
        producer/bluefish_producer.cpp
		util/blue_velvet.cpp
		bluefish.cpp
		StdAfx.cpp
)
set(HEADERS
		consumer/bluefish_consumer.h
         producer/bluefish_producer.h
        interop/BlueVelvetC.h
        interop/BlueVelvetCUtils.h
        util/blue_velvet.h
		util/memory.h
        bluefish.h
		StdAfx.h
)

add_library(bluefish ${SOURCES} ${HEADERS})
add_precompiled_header(bluefish StdAfx.h FORCEINCLUDE)
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(../..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${FFMPEG_INCLUDE_PATH})

set_target_properties(bluefish PROPERTIES FOLDER modules)
source_group(sources ./*)
source_group(sources\\consumer consumer/*)
source_group(sources\\producer producer/*)
source_group(sources\\util util/*)
source_group(sources\\interop interop/*)

target_link_libraries(  bluefish 
                        common 
                        core 
                        ffmpeg)

casparcg_add_include_statement("modules/bluefish/bluefish.h")
casparcg_add_init_statement("bluefish::init" "bluefish")
casparcg_add_module_project("bluefish")

=== src/modules/html/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (html)

set(SOURCES
		producer/html_cg_proxy.cpp
		producer/html_producer.cpp

		html.cpp
)
set(HEADERS
		producer/html_cg_proxy.h
		producer/html_producer.h

		html.h
)

add_library(html ${SOURCES} ${HEADERS})
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(../..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${CEF_INCLUDE_PATH})

set_target_properties(html PROPERTIES FOLDER modules)
source_group(sources\\producer producer/*)
source_group(sources ./*)

if(MSVC)
	target_link_libraries(html
		common
		core

		optimized release/libcef
		optimized release/VS2015/libcef_dll_wrapper
		debug debug/libcef
		debug debug/VS2015/libcef_dll_wrapper
	)
else()
	target_link_libraries(html
		common
		core

		${CEF_BIN_PATH}/libcef.so
		${CEF_BIN_PATH}/libcef_dll_wrapper.a
	)
endif()

casparcg_add_include_statement("modules/html/html.h")
casparcg_add_init_statement("html::init" "html")
casparcg_add_uninit_statement("html::uninit")
casparcg_add_command_line_arg_interceptor("html::intercept_command_line")
casparcg_add_module_project("html")

=== src/modules/image/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (image)

set(SOURCES
		consumer/image_consumer.cpp

		producer/image_producer.cpp

		util/image_algorithms.cpp
		util/image_loader.cpp

		image.cpp
)
set(HEADERS
		consumer/image_consumer.h

		producer/image_producer.h

		util/image_algorithms.h
		util/image_loader.h
		util/image_view.h

		image.h
)

add_library(image ${SOURCES} ${HEADERS})
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(../..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${FREEIMAGE_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})

set_target_properties(image PROPERTIES FOLDER modules)
source_group(sources\\consumer consumer/*)
source_group(sources\\producer producer/*)
source_group(sources\\util util/*)
source_group(sources ./*)

target_link_libraries(image common core)

if(MSVC)
	target_link_libraries(image
		common
		core

		optimized FreeImage.lib
		debug FreeImaged.lib
	)
else()
	target_link_libraries(image
		common
		core

		freeimage
	)
endif()

casparcg_add_include_statement("modules/image/image.h")
casparcg_add_init_statement("image::init" "image")
casparcg_add_uninit_statement("image::uninit")
casparcg_add_module_project("image")

=== src/modules/newtek/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (newtek)

set(SOURCES
		consumer/newtek_ivga_consumer.cpp

		util/air_send.cpp

		newtek.cpp

		StdAfx.cpp
)
set(HEADERS
		consumer/newtek_ivga_consumer.h

		util/air_send.h

		newtek.h

		StdAfx.h
)

add_library(newtek ${SOURCES} ${HEADERS})
add_precompiled_header(newtek StdAfx.h FORCEINCLUDE)
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(../..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})

set_target_properties(newtek PROPERTIES FOLDER modules)
source_group(sources\\consumer consumer/*)
source_group(sources\\util util/*)
source_group(sources ./*)

target_link_libraries(newtek
	common
	core
)

casparcg_add_include_statement("modules/newtek/newtek.h")
casparcg_add_init_statement("newtek::init" "newtek")
casparcg_add_module_project("newtek")

=== src/modules/oal/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (oal)

set(SOURCES
		consumer/oal_consumer.cpp

		oal.cpp
)
set(HEADERS
		consumer/oal_consumer.h

		oal.h
)

add_library(oal ${SOURCES} ${HEADERS})
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(../..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${FFMPEG_INCLUDE_PATH})
include_directories(${OPENAL_INCLUDE_PATH})

set_target_properties(oal PROPERTIES FOLDER modules)
source_group(sources\\consumer consumer/*)
source_group(sources ./*)

if(MSVC)
	target_link_libraries(oal
			common
			core

			OpenAL32)
else()
	target_link_libraries(oal
			common
			core

			openal)
endif()

casparcg_add_include_statement("modules/oal/oal.h")
casparcg_add_init_statement("oal::init" "oal")
casparcg_add_module_project("oal")

=== src/modules/screen/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (screen)

set(SOURCES
	consumer/screen_consumer.cpp
	consumer/screen_shader.cpp

	screen.cpp
)
set(HEADERS
	consumer/screen_consumer.h
	consumer/screen_shader.h

	screen.h
)

if (MSVC)
else ()
	set(OS_SPECIFIC_HEADERS
			util/x11_util.h
			)
	set(OS_SPECIFIC_SOURCES
			util/x11_util.cpp
			)
endif ()

add_library(screen ${SOURCES} ${OS_SPECIFIC_SOURCES} ${HEADERS} ${OS_SPECIFIC_HEADERS})
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(../..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${GLEW_INCLUDE_PATH})
include_directories(${SFML_INCLUDE_PATH})
include_directories(${FFMPEG_INCLUDE_PATH})

set_target_properties(screen PROPERTIES FOLDER modules)
source_group(sources\\consumer consumer/*)
source_group(sources ./*)

target_link_libraries(screen common core accelerator ffmpeg)

casparcg_add_include_statement("modules/screen/screen.h")
casparcg_add_init_statement("screen::init" "screen")
casparcg_add_module_project("screen")

=== debian/changelog ===
casparcg-server (2.2.0+dfsg-2) unstable; urgency=medium

  * Corrected Vcs links in d/control.
  * Updated Standards-Version from 4.2.1 to 4.3.0.
  * Added missing build dependency libxrandr-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 15 Jan 2019 12:22:40 +0100

casparcg-server (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg.
  * Removed 0000-from-upstream-git.patch now included upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Dec 2018 09:14:20 +0100

casparcg-server (2.2.0~beta7+dfsg-1) unstable; urgency=medium

  * Initial upload (Closes: #912774)
  * Included 0000-from-upstream-git.patch from upstream git
    to get the latest version with all copyright header fixes.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Dec 2018 16:50:07 +0100

=== debian/watch ===
version=3
opts=\
repack,\
repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.*\/v?([\d\.a-z-]+)\.tar\.gz/casparcg-server-$1.tar.gz/ \
https://github.com/CasparCG/server/releases \
.*/archive/v?([\d\.a-z-]+).tar.gz

## casparcg-server 2.3.3%2Bdfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Project settings
 PROJECT ("CasparCG Server")
 SET (CONFIG_VERSION_MAJOR 2)
-SET (CONFIG_VERSION_MINOR 2)
-SET (CONFIG_VERSION_BUG 0)
-SET (CONFIG_VERSION_TAG "Stable")
+SET (CONFIG_VERSION_MINOR 3)
+SET (CONFIG_VERSION_BUG 2)
+SET (CONFIG_VERSION_TAG "Dev")
 
 option(ENABLE_HTML "Enable HTML module, require CEF" ON)
 
@@ -32,6 +32,7 @@
 	CONFIGURE_FILE ("${PROJECT_SOURCE_DIR}/version.tmpl" "${CMAKE_BINARY_DIR}/generated/version.h")
 	INCLUDE_DIRECTORIES ("${CMAKE_BINARY_DIR}/generated")
 
+	ADD_SUBDIRECTORY (tools)
 	ADD_SUBDIRECTORY (accelerator)
 	ADD_SUBDIRECTORY (common)
 	ADD_SUBDIRECTORY (core)

=== src/modules/bluefish/CMakeLists.txt ===
--- 
+++ 
@@ -9,14 +9,12 @@
 		StdAfx.cpp
 )
 set(HEADERS
-		consumer/bluefish_consumer.h
-         producer/bluefish_producer.h
-        interop/BlueVelvetC.h
-        interop/BlueVelvetCUtils.h
+	    consumer/bluefish_consumer.h
+        producer/bluefish_producer.h
         util/blue_velvet.h
-		util/memory.h
+	    util/memory.h
         bluefish.h
-		StdAfx.h
+	StdAfx.h
 )
 
 add_library(bluefish ${SOURCES} ${HEADERS})

=== src/modules/newtek/CMakeLists.txt ===
--- 
+++ 
@@ -2,23 +2,46 @@
 project (newtek)
 
 set(SOURCES
-		consumer/newtek_ivga_consumer.cpp
+		consumer/newtek_ndi_consumer.cpp
 
-		util/air_send.cpp
+		producer/newtek_ndi_producer.cpp
+
+		util/ndi.cpp
 
 		newtek.cpp
 
 		StdAfx.cpp
 )
 set(HEADERS
-		consumer/newtek_ivga_consumer.h
+		consumer/newtek_ndi_consumer.h
 
-		util/air_send.h
+		producer/newtek_ndi_producer.h
+
+		util/ndi.h
 
 		newtek.h
 
+		interop/Processing.NDI.compat.h
+		interop/Processing.NDI.deprecated.h
+		interop/Processing.NDI.DynamicLoad.h
+		interop/Processing.NDI.Find.h
+		interop/Processing.NDI.FrameSync.h
+		interop/Processing.NDI.Lib.cplusplus.h
+		interop/Processing.NDI.Lib.h
+		interop/Processing.NDI.Recv.ex.h
+		interop/Processing.NDI.Recv.h
+		interop/Processing.NDI.Routing.h
+		interop/Processing.NDI.Send.h
+		interop/Processing.NDI.structs.h
+		interop/Processing.NDI.utilities.h
+
 		StdAfx.h
 )
+
+if (MSVC)
+	list(APPEND SOURCES util/air_send.cpp consumer/newtek_ivga_consumer.cpp)
+	list(APPEND HEADERS util/air_send.h consumer/newtek_ivga_consumer.h)
+endif()
 
 add_library(newtek ${SOURCES} ${HEADERS})
 add_precompiled_header(newtek StdAfx.h FORCEINCLUDE)
@@ -28,15 +51,19 @@
 include_directories(../..)
 include_directories(${BOOST_INCLUDE_PATH})
 include_directories(${TBB_INCLUDE_PATH})
+include_directories(${FFMPEG_INCLUDE_PATH})
 
 set_target_properties(newtek PROPERTIES FOLDER modules)
 source_group(sources\\consumer consumer/*)
+source_group(sources\\producer producer/*)
+source_group(sources\\interop interop/*)
 source_group(sources\\util util/*)
 source_group(sources ./*)
 
 target_link_libraries(newtek
 	common
 	core
+    ffmpeg
 )
 
 casparcg_add_include_statement("modules/newtek/newtek.h")

## casparcg-server 2.3.3+dfsg

=== src/accelerator/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (accelerator)

set(SOURCES
	ogl/image/image_kernel.cpp
	ogl/image/image_mixer.cpp
	ogl/image/image_shader.cpp

	ogl/util/buffer.cpp
	ogl/util/device.cpp
	ogl/util/shader.cpp
	ogl/util/texture.cpp

	accelerator.cpp
	StdAfx.cpp
)
if (MSVC)
	set(WIN32_SPECIFIC_SOURCES
        d3d/d3d_device.cpp
		d3d/d3d_device_context.cpp
		d3d/d3d_texture2d.cpp
	)
endif ()
set(HEADERS
	ogl/image/image_kernel.h
	ogl/image/image_mixer.h
	ogl/image/image_shader.h

	ogl/util/buffer.h
	ogl/util/device.h
	ogl/util/shader.h
	ogl/util/texture.h

	ogl_image_vertex.h
	ogl_image_fragment.h

	accelerator.h
	StdAfx.h
)
if (MSVC)
	set(WIN32_SPECIFIC_HEADERS
        d3d/d3d_device.h
		d3d/d3d_device_context.h
		d3d/d3d_texture2d.h
	)
endif ()

bin2c("ogl/image/shader.vert" "ogl_image_vertex.h" "caspar::accelerator::ogl" "vertex_shader")
bin2c("ogl/image/shader.frag" "ogl_image_fragment.h" "caspar::accelerator::ogl" "fragment_shader")

add_library(accelerator ${SOURCES} ${HEADERS} ${WIN32_SPECIFIC_SOURCES} ${WIN32_SPECIFIC_HEADERS})
add_precompiled_header(accelerator StdAfx.h FORCEINCLUDE)

include_directories(..)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${GLEW_INCLUDE_PATH})
include_directories(${FFMPEG_INCLUDE_PATH})
include_directories(${SFML_INCLUDE_PATH})

source_group(sources ./.*)
source_group(sources\\cpu\\image cpu/image/.*)
source_group(sources\\cpu\\util cpu/util/.*)
source_group(sources\\ogl\\image ogl/image/.*)
source_group(sources\\ogl\\util ogl/util/.*)
source_group(sources\\d3d d3d/.*)

target_link_libraries(accelerator common core)

=== src/common/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (common)

set(SOURCES
		diagnostics/graph.cpp

		gl/gl_check.cpp

		base64.cpp
		env.cpp
		filesystem.cpp
		log.cpp
		stdafx.cpp
		tweener.cpp
		utf.cpp
)
if (MSVC)
	set(OS_SPECIFIC_SOURCES
			compiler/vs/disable_silly_warnings.h

			os/windows/filesystem.cpp
			os/windows/prec_timer.cpp
			os/windows/thread.cpp
			os/windows/windows.h
	)
else ()
	set(OS_SPECIFIC_SOURCES
			os/linux/filesystem.cpp
			os/linux/prec_timer.cpp
			os/linux/thread.cpp
	)
endif ()
set(HEADERS
		diagnostics/graph.h

		gl/gl_check.h

		os/filesystem.h
		os/thread.h

		array.h
		assert.h
		base64.h
		endian.h
		enum_class.h
		env.h
		executor.h
		except.h
		filesystem.h
		forward.h
		future.h
		log.h
		memory.h
		memshfl.h
		param.h
		prec_timer.h
		ptree.h
		scope_exit.h
		stdafx.h
		timer.h
		tweener.h
		utf.h
)

add_library(common ${SOURCES} ${HEADERS} ${OS_SPECIFIC_SOURCES})
add_precompiled_header(common stdafx.h FORCEINCLUDE)
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${GLEW_INCLUDE_PATH})

source_group(sources ./*)
source_group(sources\\gl gl/*)
source_group(sources\\diagnostics diagnostics/*)
source_group(sources\\compiler\\vs compiler/vs/*)
source_group(sources\\os\\windows os/windows/*)
source_group(sources\\os os/*)

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 		producer/color/color_producer.cpp
 		producer/separated/separated_producer.cpp
 		producer/transition/transition_producer.cpp
+		producer/transition/sting_producer.cpp
 		producer/route/route_producer.cpp
 
 		producer/cg_proxy.cpp
@@ -58,6 +59,7 @@
 		producer/color/color_producer.h
 		producer/separated/separated_producer.h
 		producer/transition/transition_producer.h
+		producer/transition/sting_producer.h
 		producer/route/route_producer.h
 
 		producer/cg_proxy.h
@@ -80,7 +82,6 @@
 include_directories(${BOOST_INCLUDE_PATH})
 include_directories(${TBB_INCLUDE_PATH})
 include_directories(${SFML_INCLUDE_PATH})
-include_directories(${FREETYPE_INCLUDE_PATH})
 include_directories(${GLEW_INCLUDE_PATH})
 
 source_group(sources ./*)

=== src/modules/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project("modules")

add_subdirectory(image)
add_subdirectory(ffmpeg)
add_subdirectory(oal)
add_subdirectory(decklink)
add_subdirectory(screen)
add_subdirectory(newtek)
if (ENABLE_HTML)
	add_subdirectory(html)
endif ()

if (MSVC)
	add_subdirectory(flash)
	add_subdirectory(bluefish)
endif()

=== src/protocol/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (protocol)

set(SOURCES
		amcp/AMCPCommandQueue.cpp
		amcp/AMCPCommandsImpl.cpp
		amcp/AMCPProtocolStrategy.cpp
		amcp/amcp_command_repository.cpp

		cii/CIICommandsImpl.cpp
		cii/CIIProtocolStrategy.cpp

		clk/CLKProtocolStrategy.cpp
		clk/clk_commands.cpp
		clk/clk_command_processor.cpp

		osc/oscpack/OscOutboundPacketStream.cpp
		osc/oscpack/OscPrintReceivedElements.cpp
		osc/oscpack/OscReceivedElements.cpp
		osc/oscpack/OscTypes.cpp

		osc/client.cpp

		util/AsyncEventServer.cpp
		util/lock_container.cpp
		util/strategy_adapters.cpp
		util/http_request.cpp

		StdAfx.cpp
)
set(HEADERS
		amcp/AMCPCommand.h
		amcp/AMCPCommandQueue.h
		amcp/AMCPCommandsImpl.h
		amcp/AMCPProtocolStrategy.h
		amcp/amcp_command_repository.h
		amcp/amcp_shared.h

		cii/CIICommand.h
		cii/CIICommandsImpl.h
		cii/CIIProtocolStrategy.h

		clk/CLKProtocolStrategy.h
		clk/clk_commands.h
		clk/clk_command_processor.h

		osc/oscpack/MessageMappingOscPacketListener.h
		osc/oscpack/OscException.h
		osc/oscpack/OscHostEndianness.h
		osc/oscpack/OscOutboundPacketStream.h
		osc/oscpack/OscPacketListener.h
		osc/oscpack/OscPrintReceivedElements.h
		osc/oscpack/OscReceivedElements.h
		osc/oscpack/OscTypes.h

		osc/client.h

		util/AsyncEventServer.h
		util/ClientInfo.h
		util/lock_container.h
		util/ProtocolStrategy.h
		util/protocol_strategy.h
		util/strategy_adapters.h
		util/http_request.h

		StdAfx.h
)

add_library(protocol ${SOURCES} ${HEADERS})
add_precompiled_header(protocol StdAfx.h FORCEINCLUDE)
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})

source_group(sources\\amcp amcp/*)
source_group(sources\\cii cii/*)
source_group(sources\\clk clk/*)
source_group(sources\\log log/*)
source_group(sources\\osc\\oscpack osc/oscpack/*)
source_group(sources\\osc osc/*)
source_group(sources\\util util/*)
source_group(sources ./*)

target_link_libraries(protocol common core)

=== src/shell/CMakeLists.txt ===
--- 
+++ 
@@ -49,12 +49,12 @@
 
 if (MSVC)
 	target_link_libraries(casparcg
-		#jpeg.lib
-		#sndfile.lib
 		Winmm.lib
 		Ws2_32.lib
 		optimized tbb.lib
+		optimized tbbmalloc.lib
 		debug tbb_debug.lib
+		debug tbbmalloc_debug.lib
 		OpenGL32.lib
 		glew32.lib
 		openal32.lib
@@ -74,6 +74,10 @@
 		avdevice.lib
 		swscale.lib
 		swresample.lib
+
+		d3d9.lib
+		d3d11.lib
+		dxgi.lib
 	)
 else ()
 	target_link_libraries(casparcg
@@ -85,9 +89,6 @@
 		${GLEW_LIBRARIES}
 		${OPENGL_gl_LIBRARY}
 		${X11_LIBRARIES}
-		${JPEG_LIBRARIES}
-		${SNDFILE_LIBRARIES}
-		${FREETYPE_LIBRARIES}
 		${FFMPEG_LIBRARIES}
 		dl
 		icui18n
@@ -133,6 +134,7 @@
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_directory ${CEF_BIN_PATH}/swiftshader ${CMAKE_BINARY_DIR}/staging/bin/swiftshader)
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/natives_blob.bin ${CMAKE_BINARY_DIR}/staging/bin/natives_blob.bin)
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/snapshot_blob.bin ${CMAKE_BINARY_DIR}/staging/bin/snapshot_blob.bin)
+	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/v8_context_snapshot.bin ${CMAKE_BINARY_DIR}/staging/bin/v8_context_snapshot.bin)
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/libcef.so ${CMAKE_BINARY_DIR}/staging/lib/libcef.so)
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/libEGL.so ${CMAKE_BINARY_DIR}/staging/lib/libEGL.so)
 	ADD_CUSTOM_COMMAND (TARGET casparcg POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy ${CEF_BIN_PATH}/libGLESv2.so ${CMAKE_BINARY_DIR}/staging/lib/libGLESv2.so)

=== src/tools/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.0)

include_directories(..)
add_executable(bin2c bin2c.cpp)

function(bin2c source_file dest_file namespace obj_name)
    ADD_CUSTOM_COMMAND(
        OUTPUT ${dest_file}
        COMMAND bin2c ${namespace} ${obj_name} ${CMAKE_CURRENT_SOURCE_DIR}/${source_file} > ${CMAKE_CURRENT_BINARY_DIR}/${dest_file}
        DEPENDS bin2c ${CMAKE_CURRENT_SOURCE_DIR}/${source_file}
    )
endfunction()

=== src/modules/decklink/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (decklink)

set(SOURCES
		consumer/decklink_consumer.cpp

		producer/decklink_producer.cpp

		decklink.cpp
		StdAfx.cpp
)
set(HEADERS
		consumer/decklink_consumer.h

		producer/decklink_producer.h

		util/util.h

		decklink.h
		decklink_api.h
		StdAfx.h
)
if (MSVC)
	set(OS_SPECIFIC_SOURCES
			StdAfx.c
			interop/DeckLinkAPI_i.c
			interop/DeckLinkAPI.h
			interop/DeckLinkAPIVersion.h
	)
else()
	set(OS_SPECIFIC_SOURCES
			linux_interop/DeckLinkAPIConfiguration.h
			linux_interop/DeckLinkAPIDeckControl.h
			linux_interop/DeckLinkAPIDispatch.cpp
			linux_interop/DeckLinkAPIModes.h
			linux_interop/DeckLinkAPI_v10_2.h
			linux_interop/DeckLinkAPI_v7_3.h
			linux_interop/DeckLinkAPI_v7_9.h
			linux_interop/DeckLinkAPI_v8_1.h
			linux_interop/DeckLinkAPI_v9_9.h
			linux_interop/LinuxCOM.h
			linux_interop/DeckLinkAPIConfiguration_v10_2.h
			linux_interop/DeckLinkAPIDiscovery.h
			linux_interop/DeckLinkAPI.h
			linux_interop/DeckLinkAPITypes.h
			linux_interop/DeckLinkAPI_v7_1.h
			linux_interop/DeckLinkAPI_v7_6.h
			linux_interop/DeckLinkAPI_v8_0.h
			linux_interop/DeckLinkAPI_v9_2.h
			linux_interop/DeckLinkAPIVersion.h
	)
endif ()

add_library(decklink ${SOURCES} ${HEADERS} ${OS_SPECIFIC_SOURCES})
add_precompiled_header(decklink StdAfx.h FORCEINCLUDE)
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(../..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${FFMPEG_INCLUDE_PATH})

set_target_properties(decklink PROPERTIES FOLDER modules)
source_group(sources ./*)
source_group(sources\\consumer consumer/*)
source_group(sources\\interop interop/*)
source_group(sources\\producer producer/*)
source_group(sources\\util util/*)

if (MSVC)
	target_link_libraries(decklink
			common
			core
			ffmpeg
	)
else()
	target_link_libraries(decklink
			common
			core
			ffmpeg

			dl
	)
endif ()

casparcg_add_include_statement("modules/decklink/decklink.h")
casparcg_add_init_statement("decklink::init" "decklink")
casparcg_add_module_project("decklink")

=== src/modules/ffmpeg/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (ffmpeg)

set(SOURCES
	producer/av_producer.cpp
	producer/av_input.cpp
	util/av_util.cpp
	producer/ffmpeg_producer.cpp
	consumer/ffmpeg_consumer.cpp

	ffmpeg.cpp
	StdAfx.cpp
)
set(HEADERS
	util/av_assert.h
	producer/av_producer.h
	producer/av_input.h
	util/av_util.h
	producer/ffmpeg_producer.h
	consumer/ffmpeg_consumer.h

	ffmpeg.h
	StdAfx.h
)

add_library(ffmpeg ${SOURCES} ${HEADERS})
add_precompiled_header(ffmpeg StdAfx.h FORCEINCLUDE)
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(../..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${FFMPEG_INCLUDE_PATH})

set_target_properties(ffmpeg PROPERTIES FOLDER modules)
source_group(sources ./*)
source_group(sources\\consumer ./consumer/.*)
source_group(sources\\producer ./producer/.*)
source_group(sources\\util ./util/.*)

if (MSVC)
	target_link_libraries(ffmpeg
		common
		core
	)
else()
	target_link_libraries(ffmpeg
			common
			core
			${FFMPEG_LIBRARIES}
	)
endif()

casparcg_add_include_statement("modules/ffmpeg/ffmpeg.h")
casparcg_add_init_statement("ffmpeg::init" "ffmpeg")
casparcg_add_uninit_statement("ffmpeg::uninit")
casparcg_add_module_project("ffmpeg")

=== src/modules/flash/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (flash)

set(SOURCES
		interop/Flash9e_i.c

		producer/FlashAxContainer.cpp
		producer/flash_producer.cpp

		util/swf.cpp

		flash.cpp
		StdAfx.c
		StdAfx.cpp
)
set(HEADERS
		interop/axflash.h
		interop/TimerHelper.h

		producer/FlashAxContainer.h
		producer/flash_producer.h

		util/swf.h

		flash.h
		StdAfx.h
)

add_library(flash ${SOURCES} ${HEADERS})
add_precompiled_header(flash StdAfx.h FORCEINCLUDE)
configure_file("${PROJECT_SOURCE_DIR}/packages.config" "${CMAKE_CURRENT_BINARY_DIR}/packages.config")

include_directories(..)
include_directories(../..)
include_directories(${BOOST_INCLUDE_PATH})
include_directories(${TBB_INCLUDE_PATH})
include_directories(${ZLIB_INCLUDE_PATH})

set_target_properties(flash PROPERTIES FOLDER modules)
source_group(sources\\interop interop/*)
source_group(sources\\producer producer/*)
source_group(sources\\util util/*)
source_group(sources ./*)

target_link_libraries(flash common core)

casparcg_add_include_statement("modules/flash/flash.h")
casparcg_add_init_statement("flash::init" "flash")
casparcg_add_module_project("flash")

=== src/modules/html/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	target_link_libraries(html
 		common
 		core
+		accelerator
 
 		optimized release/libcef
 		optimized release/VS2015/libcef_dll_wrapper

=== src/modules/image/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,8 @@
 		consumer/image_consumer.cpp
 
 		producer/image_producer.cpp
+
+		producer/image_scroll_producer.cpp
 
 		util/image_algorithms.cpp
 		util/image_loader.cpp
@@ -15,6 +17,8 @@
 		consumer/image_consumer.h
 
 		producer/image_producer.h
+
+		producer/image_scroll_producer.h
 
 		util/image_algorithms.h
 		util/image_loader.h

=== debian/changelog ===
casparcg-server (2.3.3+dfsg-3.2build1) noble; urgency=medium

  * No-change rebuild against libboost-chrono1.83.0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Apr 2024 02:23:21 +0000

casparcg-server (2.3.3+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS against boost1.83. (Closes: #1056093)

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Dec 2023 18:09:38 +0100

casparcg-server (2.3.3+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Nick Rosbrook <enr0n@ubuntu.com> ]
  * debian/patches: add use-renamed-AV_CODEC_CAP_OTHER_THREADS.patch
    This fixes FTBFS against ffmpeg 6.0 (LP: #2034959, Closes: #1042395)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Oct 2023 09:13:09 +0200

casparcg-server (2.3.3+dfsg-3) unstable; urgency=medium

  [ Filip Hanes ]
  * Added build dependencies zlib1g-dev and libicu-dev
  * Better SIMDE configuration in 1002-arm64-compatibility.patch
  * Updated Vcs-* to multimedia-team d/control
  * Added architecture i386

  [ Petter Reinholdtsen ]
  * Change package maintainer to the Debian Multimedia group.

 -- Filip Hanes <filip@hanes.tech>  Fri, 02 Sep 2022 16:30:00 +0100

casparcg-server (2.3.3+dfsg-2) unstable; urgency=medium

  * Removed unneeded build-deps
  * Limit architectures to amd64 and arm64 (Closes: #922563)

 -- Filip Hanes <filip@hanes.tech>  Tue, 31 Aug 2022 18:30:00 +0100

casparcg-server (2.3.3+dfsg-1) unstable; urgency=medium

  [Filip Hanes]
  * New upstream version 2.3.3+dfsg (Closes: #947518)
  * New maintainer (Closes: #959124)
  * Added 0001-fix-missing-thread-includes-1396.patch
  * Added 0002-ffmpeg-5.0-1419.patch (Closes: #1015780)
  * Added 0003-fix-boost-1.73-ftbfs-1397.patch
  * Added 0004-fix-shader-frag.patch
  * Added 1001-cmake-ftbfs.patch (Closes: #1011654)
  * Added 1002-arm64-compatibility.patch
  * Added missing build dependency libboost-system-dev.
  * Added build dependency libsimde-dev for arm64 compatibility
  * Remove build dependency libgconf2-dev (Closes: #959106)
  * Update Maintainer, Uploaders, Standards-Version in d/control
  * Make ffmpeg5.0 patch compatible with ffmpeg 4.3

 -- Filip Hanes <filip@hanes.tech>  Tue, 31 Aug 2022 16:35:00 +0100

casparcg-server (2.2.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with new cmake (Closes: #947518)

 -- Dimitri John Ledkov <xnox@debian.org>  Fri, 14 Feb 2020 18:34:23 +0000

=== debian/control ===
Source: casparcg-server
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Filip Hanes <filip@hanes.tech>
 , Petter Reinholdtsen <pere@debian.org>
Section: contrib/video
Priority: optional
Standards-Version: 4.6.1
Build-Depends: cmake,
               debhelper (>= 10~),
               libavcodec-dev,
               libavdevice-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libboost-chrono-dev,
               libboost-coroutine-dev,
               libboost-date-time-dev,
               libboost-dev (>= 0.66),
               libboost-filesystem-dev,
               libboost-locale-dev,
               libboost-log-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libfreeimage-dev,
               libicu-dev,
               libglew-dev,
               libjpeg-dev,
               libopenal-dev,
               libpostproc-dev,
               libsfml-dev,
               libsimde-dev,
               libswresample-dev,
               libswscale-dev,
               libtbb-dev,
               libxrandr-dev,
               pkg-config,
               txt2man,
               zlib1g-dev
Homepage: https://github.com/CasparCG/server/
Vcs-Git: https://salsa.debian.org/multimedia-team/casparcg-server.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/casparcg-server/

Package: casparcg-server
Pre-Depends: ${misc:Pre-Depends}
Depends: fonts-liberation2, ${misc:Depends}, ${shlibs:Depends}
Architecture: amd64 arm64 i386
Description: layered real-time video compositor to multiple outputs
 Play out professional graphics, audio and video to multiple outputs as a
 layerbased real-time compositor.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 # Generate and install manual page
 debian/casparcg.1: debian/casparcg.txt2man
 	txt2man -t CASPARCG -d 2018-12-14 -s 1 debian/casparcg.txt2man > $@
+
 override_dh_installman: debian/casparcg.1
 	dh_installman
 	$(RM) debian/casparcg.1

=== debian/watch ===
version=3
opts=\
repack,\
repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.*\/v?([\d\.]+)[a-z-]*\.tar\.gz/casparcg-server-$1.tar.gz/ \
https://github.com/CasparCG/server/releases \
.*/archive/refs/tags/v?([\d\.a-z-]+).tar.gz
